// 【场景】字符串拼接
//     编写一个函数 concatenateStrings，接受两个字符串作为参数，并返回它们的拼接结果。
#include <iostream>
#include <string>

using namespace std;

string concatenateStrings(const string &str1, const string &str2)
{
    return str1 + str2;
}

int main()
{
    string s1 = "hello";
    string s2 = "world";
    s1 = concatenateStrings(s1, " "); // 先拼接一个空格
    s1 = concatenateStrings(s1, s2);  // 再拼接 s2
    cout << s1 << endl;
    return 0;
}